Show / Hide Table of Contents

# Struct ImGuiPayload

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiPayload

### Fields

| Improve this Doc View Source

#### Data

##### Declaration

    public void *Data

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### DataFrameCount

##### Declaration

    public int DataFrameCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### DataSize

##### Declaration

    public int DataSize

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### DataType

##### Declaration

    public byte *DataType

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Delivery

##### Declaration

    public byte Delivery

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Preview

##### Declaration

    public byte Preview

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### SourceId

##### Declaration

    public uint SourceId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SourceParentId

##### Declaration

    public uint SourceParentId

##### Field Value

Type | Description
--- | ---
System.UInt32 |